package cn.nhyw.gysgl.dao;
import cn.base.dao.BaseSqlMapDAO;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("nhywgysxxDao")
public class NhywgysxxDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Nhywgysxx(Map map) throws SQLException{
		this.insert("insert_Nhywgysxx",map);
	}
	
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Nhywgysxx(List batch) throws SQLException{
		this.insert("batch_insert_Nhywgysxx",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	public Integer update_Nhywgysxx(Map map) throws SQLException{
		return this.update("update_Nhywgysxx",map);
	}
	
	
	/**
	 * 删除记录
	 */
	public Integer delete_Nhywgysxx(Map map) throws SQLException{
		return this.delete("delete_Nhywgysxx",map);
	}
	
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Nhywgysxx(Map map) throws SQLException{
		return this.delete("batch_delete_Nhywgysxx",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	public Integer count_Nhywgysxx(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Nhywgysxx",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Nhywgysxx(Map map) throws SQLException{
		return this.queryForPage("query_Nhywgysxx",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	public Map get_Nhywgysxx(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Nhywgysxx",map);
	}
	
	
	/**
	 * 查询列表记录   不分页
	 */
	public List<Map> query_NhywgysxxList(Map map) throws SQLException{
		return this.queryForList("query_Nhywgysxx",map);
	}
	
	
	// 查询供应商   电子监控集合
	public List<Map> query_dzsbjh(Map map) throws SQLException{
		return this.queryForPage("query_dzsbjh",map);
	}
	
	// 查询供应商   电子监控集合总数
	public Integer count_dzsbjh(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_dzsbjh",map);
	}
	
	//供应商电子信息集合   全部集合信息 或 已选择的集合信息
	public List<Map> query_All_Chosed_Set(Map map) throws SQLException{
		return this.queryForPage("query_All_Chosed_Set",map);
	}
	public Integer count_All_Chosed_Set(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_All_Chosed_Set",map);
	}
	
	//供应商关联5类交通设备信息
	public List<Map> query_Jtsb(Map map) throws SQLException{
		return this.queryForPage("query_Jtsb",map);
	}
	public Integer count_Jtsb(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Jtsb",map);
	}
}
